# remirepo/Fedora spec file for php-zendframework-zend-expressive-template
#
# Copyright (c) 2016-2017 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global bootstrap    0
%global gh_commit    23922f96b32ab6e64fc551ec06b81fd047828765
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     zendframework
%global gh_project   zend-expressive-template
%global php_home     %{_datadir}/php
%global library      Expressive
%global sublib       Template
%if %{bootstrap}
%global with_tests   0%{?_with_tests:1}
%else
%global with_tests   0%{!?_without_tests:1}
%endif

Name:           php-%{gh_owner}-%{gh_project}
Version:        1.0.4
Release:        2%{?dist}
Summary:        %{sublib} subcomponent for %{library}

Group:          Development/Libraries
License:        BSD
URL:            https://zendframework.github.io/zend-expressive/
Source0:        %{gh_commit}/%{name}-%{version}-%{gh_short}.tgz
Source1:        makesrc.sh

BuildArch:      noarch
# Tests
%if %{with_tests}
BuildRequires:  php(language) >= 5.5
BuildRequires:  php-spl
# From composer, "require-dev": {
#        "phpunit/phpunit": "^4.7",
#        "zendframework/zend-coding-standard": "~1.0.0"
BuildRequires:  php-composer(phpunit/phpunit)                   >= 4.7
# Autoloader
BuildRequires:  php-composer(%{gh_owner}/zend-loader)           >= 2.5
%endif

# From composer, "require": {
#        "php": ">=5.5"
Requires:       php(language) >= 5.5
# From phpcompatinfo report for version 1.0.3
Requires:       php-spl
%if ! %{bootstrap}
# From composer, "suggest": {
#        "zendframework/zend-expressive-platesrenderer": "^0.1 to use the Plates template renderer",
#        "zendframework/zend-expressive-twigrenderer": "^0.1 to use the Twig template renderer",
#        "zendframework/zend-expressive-zendviewrenderer": "^0.1 to use the zend-view PhpRenderer template renderer"
%if 0%{?fedora} >= 21
Suggests:       php-composer(%{gh_owner}/zend-expressive-platesrenderer)
Suggests:       php-composer(%{gh_owner}/zend-expressive-twigrenderer)
Suggests:       php-composer(%{gh_owner}/zend-expressive-zendviewrenderer)
%endif
# Autoloader
Requires:       php-composer(%{gh_owner}/zend-loader)           >= 2.5
%endif

Provides:       php-composer(%{gh_owner}/%{gh_project}) = %{version}


%description
Template subcomponent for Expressive

This package provides the following classes, interfaces, and traits:

* TemplateRendererInterface, a generic interface for providing template rendering capabilities.
* TemplatePath, a value object describing a (optionally) namespaced path in which templates reside; the TemplateRendererInterface returns these.
* ArrayParametersTrait provides helper methods you can mix in to implementations for normalizing template parameters to an array.
* DefaultParamsTrait provides helper methods you can mix in to implementations for aggregating default parameters as well as merging global, template-specific, and provided parameters when rendering.

We currently support and provide the following routing integrations:

* Plates: php-zendframework-zend-expressive-platesrenderer
* Twig: php-zendframework-zend-expressive-twigrenderer
* ZF2 PhpRenderer: php-zendframework-zend-expressive-zendviewrenderer

Documentation: http://zend-expressive.readthedocs.io/


%prep
%setup -q -n %{gh_project}-%{gh_commit}

mv LICENSE.md LICENSE


%build
# Empty build section, nothing required


%install

mkdir -p   %{buildroot}%{php_home}/Zend/%{library}
cp -pr src %{buildroot}%{php_home}/Zend/%{library}/%{sublib}


%check
%if %{with_tests}
mkdir vendor
cat << 'EOF' | tee vendor/autoload.php
<?php
define('RPM_BUILDROOT', '%{buildroot}%{php_home}/Zend');

require_once '%{php_home}/Zend/Loader/AutoloaderFactory.php';
Zend\Loader\AutoloaderFactory::factory(array(
    'Zend\Loader\StandardAutoloader' => array(
        'namespaces' => array(
           'ZendTest\\%{library}\\%{sublib}' => dirname(__DIR__).'/test/',
           'Zend\\%{library}\\%{sublib}'     => '%{buildroot}%{php_home}/Zend/%{library}/%{sublib}'
))));
require_once '%{php_home}/Zend/autoload.php';
EOF

%{_bindir}/phpunit --verbose
%else
: Test suite disabled
%endif


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc *.md
%doc composer.json
%dir %{php_home}/Zend/%{library}/
     %{php_home}/Zend/%{library}/%{sublib}/


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Remi Collet <remi@fedoraproject.org> - 1.0.4-1
- update to 1.0.4

* Sat Jul  2 2016 Remi Collet <remi@fedoraproject.org> - 1.2.0-2
- cleanup

* Fri Jul  1 2016 Remi Collet <remi@fedoraproject.org> - 1.2.0-1
- initial package

